Index: Makefile
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/Makefile,v
retrieving revision 1.127
diff -u -r1.127 Makefile
--- Makefile	24 Jan 2010 13:26:10 -0000	1.127
+++ Makefile	12 May 2010 09:50:55 -0000
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.127 2010/01/24 13:26:10 wiz Exp $
 
-PKGREVISION=	4
+PKGREVISION=
 
 CONFLICTS+=	emacs-nox11-[0-9]*
 
Index: distinfo
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/distinfo,v
retrieving revision 1.44
diff -u -r1.44 distinfo
--- distinfo	21 Feb 2010 12:24:54 -0000	1.44
+++ distinfo	12 May 2010 12:02:50 -0000
@@ -1,11 +1,9 @@
 $NetBSD: distinfo,v 1.44 2010/02/21 12:24:54 wiz Exp $
 
-SHA1 (emacs-23.1.tar.gz) = e993445d14d2fdedd1418bc32c8c4ea30442bc51
-RMD160 (emacs-23.1.tar.gz) = c557149f59916b82f0ae156f87406126b03671b4
-Size (emacs-23.1.tar.gz) = 42904117 bytes
-SHA1 (patch-aa) = 3e65b93fad3fb436ec573148e5681333d1c58e3a
-SHA1 (patch-ab) = dcd6903d62b58b5c587001b26f0d300bcb54fe6d
-SHA1 (patch-ac) = 9afbc10d2bd0f32cdfde8ae6a32236182dbac558
-SHA1 (patch-ae) = 2b016d6b4bb796cf5bddc55f104139e01209adb6
-SHA1 (patch-af) = c888cd3863e533d38f437292d9f800bcd3159529
+SHA1 (emacs-23.2.tar.gz) = 2f99c7111c232cf04410607698d2db842e305c82
+RMD160 (emacs-23.2.tar.gz) = 6d25f8d12cfa23e413ea353933ed871a3d3aa08e
+Size (emacs-23.2.tar.gz) = 46831697 bytes
+SHA1 (patch-aa) = 951c1d9fe90fbe2c2366ba230106f8d165068d50
+SHA1 (patch-ab) = 053243431964def524b7ba2f82ee78680ff7011e
+SHA1 (patch-ae) = ccb4ae95288bc3f7f394fec6c189e32d2a09ed73
 SHA1 (patch-ag) = f10b733c75e7b24642e8bd6963acb95d9c942991
Index: version.mk
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/version.mk,v
retrieving revision 1.3
diff -u -r1.3 version.mk
--- version.mk	5 Aug 2009 22:04:50 -0000	1.3
+++ version.mk	12 May 2010 09:50:30 -0000
@@ -4,4 +4,4 @@
 _EMACS_REQD=	emacs>=23
 
 _EMACS_VERSION_MAJOR=	23
-_EMACS_VERSION_MINOR=	1
+_EMACS_VERSION_MINOR=	2
Index: patches/patch-aa
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/patches/patch-aa,v
retrieving revision 1.16
diff -u -r1.16 patch-aa
--- patches/patch-aa	7 Oct 2009 10:56:40 -0000	1.16
+++ patches/patch-aa	12 May 2010 11:59:08 -0000
@@ -1,17 +1,39 @@
-$NetBSD: patch-aa,v 1.16 2009/10/07 10:56:40 obache Exp $
+$NetBSD$
 
---- configure.in.orig	2009-07-30 00:09:49.000000000 +0900
-+++ configure.in
-@@ -329,9 +329,9 @@ dnl see the `changequote' comment above.
-     case "${canonical}" in
-       alpha*-*-netbsd*)	machine=alpha ;;
-       i[3456]86-*-netbsd*) machine=intel386 ;;
--      mips-*-netbsd*)	machine=pmax ;;
--      mipsel-*-netbsd*)	machine=pmax ;;
--      mipseb-*-netbsd*)	machine=pmax ;;
-+      mips-*-netbsd*)	machine=mips ;;
-+      mipsel-*-netbsd*)	machine=mips ;;
-+      mipseb-*-netbsd*)	machine=mips ;;
-       powerpc-*-netbsd*) machine=macppc ;;
-       sparc*-*-netbsd*)	machine=sparc ;;
-       vax-*-netbsd*)	machine=vax ;;
+--- work/emacs-23.2/configure.in~	2010-05-08 12:09:12.000000000 +0900
++++ ./configure.in	2010-05-12 20:23:07.000000000 +0900
+@@ -39,7 +39,7 @@
+ docdir='${datadir}/emacs/${version}/etc'
+ gamedir='${localstatedir}/games/emacs'
+ 
+-gameuser=games
++gameuser=${GAMEOWN}
+ 
+ dnl OPTION_DEFAULT_OFF(NAME, HELP-STRING)
+ dnl Create a new --with option that defaults to being disabled.
+@@ -387,6 +387,14 @@
+       amd64-*-freebsd*|x86_64-*-freebsd*) machine=amdx86-64 ;;
+     esac
+   ;;
++  ## DragonFly ports
++  *-*-dragonfly*)
++    opsys=dragonfly
++    case "${canonical}" in
++      i[3456]86-*-dragonfly*)     machine=intel386 ;;
++      amd64-*-dragonfly*|x86_64-*-dragonfly*) machine=amdx86-64 ;;
++    esac
++  ;;
+ 
+   ## FreeBSD kernel + glibc based userland
+   *-*-kfreebsd*gnu* )
+@@ -1391,9 +1399,9 @@
+   window_system=nextstep
+   with_xft=no
+   # set up packaging dirs
++  if test "${EN_NS_SELF_CONTAINED}" = yes; then
+   exec_prefix=${ns_appbindir}
+   libexecdir=${ns_appbindir}/libexec
+-  if test "${EN_NS_SELF_CONTAINED}" = yes; then
+      prefix=${ns_appresdir}
+   fi
+ fi
Index: patches/patch-ab
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/patches/patch-ab,v
retrieving revision 1.28
diff -u -r1.28 patch-ab
--- patches/patch-ab	7 Oct 2009 10:56:40 -0000	1.28
+++ patches/patch-ab	12 May 2010 11:59:20 -0000
@@ -1,8 +1,8 @@
-$NetBSD: patch-ab,v 1.28 2009/10/07 10:56:40 obache Exp $
+$NetBSD$
 
---- configure.orig	2009-07-30 00:12:00.000000000 +0900
-+++ configure
-@@ -1856,7 +1856,7 @@ archlibdir='${libexecdir}/emacs/${versio
+--- work/emacs-23.2/configure.orig	2010-05-08 12:10:16.000000000 +0900
++++ configure	2010-05-12 20:32:23.000000000 +0900
+@@ -1995,7 +1995,7 @@
  docdir='${datadir}/emacs/${version}/etc'
  gamedir='${localstatedir}/games/emacs'
  
@@ -11,10 +11,10 @@
  
  
  
-@@ -2406,6 +2406,15 @@ case "${canonical}" in
+@@ -2652,6 +2652,14 @@
+       amd64-*-freebsd*|x86_64-*-freebsd*) machine=amdx86-64 ;;
      esac
    ;;
- 
 +  ## DragonFly ports
 +  *-*-dragonfly*)
 +    opsys=dragonfly
@@ -23,32 +23,17 @@
 +      amd64-*-dragonfly*|x86_64-*-dragonfly*) machine=amdx86-64 ;;
 +    esac
 +  ;;
-+
+ 
    ## FreeBSD kernel + glibc based userland
    *-*-kfreebsd*gnu* )
-     opsys=gnu-kfreebsd
-@@ -2434,9 +2443,9 @@ _ACEOF
-     case "${canonical}" in
-       alpha*-*-netbsd*)	machine=alpha ;;
-       i[3456]86-*-netbsd*) machine=intel386 ;;
--      mips-*-netbsd*)	machine=pmax ;;
--      mipsel-*-netbsd*)	machine=pmax ;;
--      mipseb-*-netbsd*)	machine=pmax ;;
-+      mips-*-netbsd*)	machine=mips ;;
-+      mipsel-*-netbsd*)	machine=mips ;;
-+      mipseb-*-netbsd*)	machine=mips ;;
-       powerpc-*-netbsd*) machine=macppc ;;
-       sparc*-*-netbsd*)	machine=sparc ;;
-       vax-*-netbsd*)	machine=vax ;;
-@@ -9408,9 +9417,9 @@ if test "${HAVE_NS}" = yes; then
+@@ -9849,9 +9857,9 @@
    window_system=nextstep
    with_xft=no
    # set up packaging dirs
--  exec_prefix=${ns_appbindir}
--  libexecdir=${ns_appbindir}/libexec
-   if test "${EN_NS_SELF_CONTAINED}" = yes; then
-+     exec_prefix=${ns_appbindir}
-+     libexecdir=${ns_appbindir}/libexec
++  if test "${EN_NS_SELF_CONTAINED}" = yes; then
+   exec_prefix=${ns_appbindir}
+   libexecdir=${ns_appbindir}/libexec
+-  if test "${EN_NS_SELF_CONTAINED}" = yes; then
       prefix=${ns_appresdir}
    fi
  fi
Index: patches/patch-ae
===================================================================
RCS file: /e/cvsync/cvsync/pkgsrc/editors/emacs/patches/patch-ae,v
retrieving revision 1.13
diff -u -r1.13 patch-ae
--- patches/patch-ae	6 Aug 2009 04:46:04 -0000	1.13
+++ patches/patch-ae	12 May 2010 12:01:52 -0000
@@ -1,17 +1,17 @@
-$NetBSD: patch-ae,v 1.13 2009/08/06 04:46:04 minskim Exp $
+$NetBSD$
 
---- Makefile.in.orig	2009-06-20 21:36:54.000000000 -0700
-+++ Makefile.in
-@@ -141,7 +141,7 @@ MAN_PAGES=b2m.1 ctags.1 ebrowse.1 emacs.
+--- work/emacs-23.2/Makefile.in~	2010-04-04 07:26:08.000000000 +0900
++++ Makefile.in	2010-05-12 21:00:44.000000000 +0900
+@@ -141,7 +141,7 @@
  infodir=@infodir@
  INFO_FILES=ada-mode auth autotype calc ccmode cl dbus dired-x ebrowse	\
-            ediff efaq eintr elisp emacs emacs-mime epa erc eshell eudc	\
--           flymake forms gnus idlwave info mairix-el message mh-e	\
-+           flymake forms gnus idlwave mairix-el message mh-e	\
-            newsticker nxml-mode org pcl-cvs pgg rcirc reftex remember	\
-            sasl sc ses sieve smtpmail speedbar tramp url vip viper	\
-            widget woman
-@@ -403,7 +403,7 @@ $(srcdir)/src/stamp-h.in: $(AUTOCONF_INP
+            ede ediff edt eieio efaq eintr elisp emacs emacs-mime epa erc \
+-	   eshell eudc flymake forms gnus idlwave info mairix-el	\
++	   eshell eudc flymake forms gnus idlwave mairix-el	\
+ 	   message mh-e newsticker nxml-mode org pcl-cvs pgg rcirc	\
+ 	   reftex remember sasl sc semantic ses sieve smtpmail speedbar \
+ 	   tramp url vip viper widget woman
+@@ -403,7 +403,7 @@
  install: all install-arch-indep install-arch-dep install-leim blessmail
  	@true
  
@@ -20,12 +20,15 @@
  
  ### Install the executables that were compiled specifically for this machine.
  ### It would be nice to do something for a parallel make
-@@ -572,21 +572,11 @@ install-arch-indep: mkdir info install-e
- 	      test "$(MAKEINFO)" = "off" && ! test -e $$elt && continue; \
- 	      for f in `ls $$elt $$elt-[1-9] $$elt-[1-9][0-9] 2>/dev/null`; do \
- 	        ${INSTALL_DATA} $$f $(DESTDIR)${infodir}/$$f; \
--	        chmod a+r $(DESTDIR)${infodir}/$$f; \
- 	      done; \
+@@ -567,7 +567,6 @@
+ 	   else	\
+ 	     (cd $${thisdir}; \
+ 	      ${INSTALL_DATA} ${srcdir}/info/dir $(DESTDIR)${infodir}/dir; \
+-	      chmod a+r $(DESTDIR)${infodir}/dir); \
+ 	   fi; \
+ 	   cd ${srcdir}/info ; \
+ 	   for elt in $(INFO_FILES); do \
+@@ -579,16 +578,7 @@
  	   done); \
  	else true; fi
  	-unset CDPATH; \
@@ -38,8 +41,8 @@
 -	     ${INSTALL_INFO} --info-dir=$(DESTDIR)${infodir} $(DESTDIR)${infodir}/$$elt); \
 -	  done; \
 -	else true; fi
--	-chmod -R a+r $(DESTDIR)${datadir}/emacs/${version} $(DESTDIR)${datadir}/emacs/site-lisp ${COPYDESTS} $(DESTDIR)${infodir}
-+	chmod -R a+r $(DESTDIR)${datadir}/emacs/${version} $(DESTDIR)${datadir}/emacs/site-lisp ${COPYDESTS} $(DESTDIR)${infodir}
+-	-chmod -R a+r $(DESTDIR)${datadir}/emacs/${version} ${COPYDESTS}
++	chmod -R a+r $(DESTDIR)${datadir}/emacs/${version} ${COPYDESTS}
  	thisdir=`/bin/pwd`; \
  	cd ${mansrcdir}; \
  	for page in ${MAN_PAGES}; do \
